﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace SpreadIntro.Models
{
    public class SampleData
    {
        public static DataTable GetTable()
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));
            table.Columns.Add("Active", typeof(Boolean));

            // Here we add five DataRows.
            table.Rows.Add(25, "Indocin", "David", DateTime.Now,true);
            table.Rows.Add(50, "Enebrel", "Sam", new DateTime(2019,5,6,16,00,00),false);
            table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now,true);
            table.Rows.Add(21, "Combivent", "Janet", DateTime.Now,false);
            table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now,true);
            return table;
        }
    }
}